Get an offset lifecycle event notification configuration
curl --request POST \
--url https://api.metronome.com/v2/notifications/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc"
}
'import requests
url = "https://api.metronome.com/v2/notifications/get"
payload = { "id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 'd7abd0cd-4ae9-4db7-8676-e986a4ebd8dc'})
};
fetch('https://api.metronome.com/v2/notifications/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"name": "+1 day after contract starts",
"type": "OFFSET_LIFECYCLE_EVENT",
"policy": {
"type": "contract.start",
"offset": "P1D"
},
"environment_type": "PRODUCTION",
"created_at": "2024-01-15T10:30:00Z",
"created_by": "Martins Seyi",
"archived_at": null
}
}{
"code": "BadRequest",
"message": "<string>"
}{
"code": "NotificationConfigNotFound",
"message": "<string>"
}Notifications
Get an offset lifecycle event notification configuration
Retrieve a specific offset lifecycle event notification configuration by ID.
POST
/
v2
/
notifications
/
get
Get an offset lifecycle event notification configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Offset notification configuration ID
The ID of the notification configuration to retrieve
Response
Success
Show child attributes
Show child attributes
Create an offset lifecycle event notification configuration
Previous
List offset lifecycle event notification configurations
Next
⌘I